Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome
Class FileReadPermissions

    java.lang.Object
      |
      +--com.jxml.qare.qhome.FilePermission
            |
            +--com.jxml.qare.qhome.FileReadPermissions

public class FileReadPermissions
extends FilePermission

Field Summary
`static ArrayList` | `reList`

Constructor Summary
`FileReadPermissions()`

Method Summary
`String` | `file()`
`String` | `prefix()`
`ArrayList` | `reList()`
`void` | `setList(ArrayList reList)`
`static boolean` | `validate(String userName, String path)`

Methods inherited from class com.jxml.qare.qhome.FilePermission
`init, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reList

    public static ArrayList reList

Constructor Detail

### FileReadPermissions

    public FileReadPermissions()

Method Detail

### prefix

    public String prefix()

  Overrides:
    `prefix` in class `FilePermission`

### file

    public String file()

  Overrides:
    `file` in class `FilePermission`

### reList

    public ArrayList reList()

  Overrides:
    `reList` in class `FilePermission`

### setList

    public void setList(ArrayList reList)

  Overrides:
    `setList` in class `FilePermission`

### validate

    public static boolean validate(String userName,
                                   String path)
                            throws org.apache.regexp.RESyntaxException,
                                   SAXException,
                                   IOException,
                                   ClassNotFoundException,
                                   InstantiationException,
                                   IllegalAccessException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD